ghc-7.0.3: The GHC API

CmmCPS

Synopsis

- cmmCPS :: DynFlags -> [Cmm] -> IO [Cmm]

# Documentation

Converts C-- with full proceedures and parameters to a CPS transformed C-- with the stack made manifest.

cmmCPSSource

Arguments

:: DynFlags | Dynamic flags: -dcmm-lint -ddump-cps-cmm
-> [Cmm] | Input C-- with Proceedures
-> IO [Cmm] | Output CPS transformed C--

Top level driver for the CPS pass